<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Document</title>
        <!--link rel="stylesheet" href="css/estilos.css"-->
        <style>
            .container{
                text-align: center;

            }
            .cartita {
                min-width: 18vw;
                max-width: 18vw;
                height: 20vh;
                background: red;
                margin: 10px;
                display: inline-block;
                border: 1px solid green;
            }

            .cartita p {
                color: black;
                display: none;
            }
        </style>

    </head>
    <body>
      <div class="container">

      </div>

<script src="js/jquery-3.3.1.min.js"></script>
    <script>
        //flujo :

//añadir tarjetas aleatoriamente
    //Voltea tarjeta 1
    //Voltea tarjeta 2
        //Validar si las tarjetasson iguales
           //si lo son mostrar un alert
           //si no, resetear las tarjetas y correr flujp



var cartita1 = '';
var cartita2 = '';
var cartitas=[
   {
      nombre: 'firefox',
      imagen:'firefox',
      id:'mozila-firefox',
   },
   {
      nombre: 'explorer',
      imagen:'explorer.png',
      id:'internet-explorer',
   },
   {
      nombre: 'safari',
      imagen:'safari.png',
      id:'safari',
   },
   {
      nombre: 'chrome',
      imagen:'chrome',
      id:'google-chrome',
   },
   /*{
      nombre: 'opera',
      imagen:'opera.png',
      id:'opera',
   },*/
]


añadirTarjetasAleatoriamente();
añadirEventoClick();

    //obtener objeto del array "tarjetas" aleatoriamente
    //imprimir en un div
function añadirTarjetasAleatoriamente(){
   for(var i=0; i<16; i++){
      var numeroAleatorio= obtenerNumeroAleatorio(0, cartitas.length)
      var cartita=cartitas[numeroAleatorio]

      var div = '<div class ="cartita" id="'+ cartita.id + '">'
      div += '<p>' + cartita.nombre + '</p>'
      div += '</div>'
      $('.container').append(div)
   }
}


// onClick. cartita -> revisar si es la tarjeta 1 o 2


function añadirEventoClick(){
   $('.cartita').click(function(){
      console.log('haz clickeado una cartita',this)



      //Escenarios:
      //1.- va a voltear la primera carta
      //2.- va a voltear la segunda carta

      //si la carta1 no tiene un valor
      // significa que no ha volteado inguna carta
      if(cartita1 ==''){
         cartita1 = this.id
         //mostrarCarita(this)
         $(this)
            .css('background','orange')     
            .find('p')
            .css('color','#fff') 
            .css('display','table')
            .addClass('active')
            //.prop('disabled',false)
            return;
         }


        //si cartita 1 tiene valor y cartita 2 no tiene valor
        //significa que ya voltearon la primer cartita
        if(cartita1 !== '' && cartita2 ==''){
            cartita2 = this.id
            //mostrar cartita
            
               $(this)
                    .css('background','orange')
                   .find('p')
                    .css('color','#fff')  
                   .css('display','table')
                   .addClass('active')

       // }
               if(cartita1 == cartita2){
               // cartita1=$(this)
                //cartita2=$(this)
                
               // $(cartita1).css('background','orange')
               // $(cartita2).css('background','orange')
                alert(' Has encontrado un par')

            }else {
                cartita1=$(this);
                cartita1=$(this);
              //  cartita2=$(this);
                alert(' Mala suerte')

               $(cartita1).css('background','red');
                $(cartita2).css('background','red');
                
               // $(cartita1).stop(true,true).animate({opacity: 1},1000,function(){$(this).css('background','red');});
                
				//$(cartita2).stop(true,true).animate({opacity: 1},1000,function(){$(this).css('background','red');})
                //reserear estado
                setTimeout(function(){
                    cartita1=''
                     
                    cartita2=''
                    $('.active')
                        .removeClass('active')
                        
                        .hide()
                },1500);
            }
        }
      

    });
}




function obtenerNumeroAleatorio (numeroMinimo, numeroMaximo){
    return Math.floor(Math.random() * numeroMaximo) + numeroMinimo
}

function mostrarCarita (element){
    $(element)
        .find('p')
        .css('display','table')
        .addClass('active')

}



    </script>
    </body>
</html>
